|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QDesignerObjectInspectorInterface Class Reference
[QtDesigner module]

The QDesignerObjectInspectorInterface class allows you to change the focus of Qt Designer's object inspector. More...

     #include <QDesignerObjectInspectorInterface>

Inherits QWidget.

- List of all members, including inherited members

### Public Functions

- QDesignerObjectInspectorInterface ( QWidget * parent, Qt::WindowFlags flags = 0 )
- virtual ~QDesignerObjectInspectorInterface ()
- virtual QDesignerFormEditorInterface * core () const

- 201 public functions inherited from QWidget
- 29 public functions inherited from QObject
- 12 public functions inherited from QPaintDevice

### Public Slots

- virtual void setFormWindow ( QDesignerFormWindowInterface * formWindow ) = 0

- 19 public slots inherited from QWidget
- 1 public slot inherited from QObject

### Additional Inherited Members

- 56 properties inherited from QWidget
- 1 property inherited from QObject
- 1 signal inherited from QWidget
- 1 signal inherited from QObject
- 4 static public members inherited from QWidget
- 5 static public members inherited from QObject
- 38 protected functions inherited from QWidget
- 7 protected functions inherited from QObject
- 1 protected function inherited from QPaintDevice
- 1 protected slot inherited from QWidget

## Detailed Description

The QDesignerObjectInspectorInterface class allows you to change the focus of Qt Designer's object inspector.

You can use the QDesignerObjectInspectorInterface to change the current form window selection. For example, when implementing a custom widget plugin:

     QDesignerObjectInspectorInterface *objectInspector = 0;
     objectInspector = formEditor->objectInspector();

     QDesignerFormWindowManagerInterface *manager = 0;
     manager = formEditor->formWindowManager();

     objectInspector->setFormWindow(manager->formWindow(0));

The QDesignerObjectInspectorInterface class is not intended to be instantiated directly. You can retrieve an interface to Qt Designer's object inspector using the QDesignerFormEditorInterface::objectInspector() function. A pointer to Qt Designer's current QDesignerFormEditorInterface object (`formEditor` in the example above) is provided by the QDesignerCustomWidgetInterface::initialize() function's parameter. When implementing a custom widget plugin, you must subclass the QDesignerCustomWidgetInterface to expose your plugin to Qt Designer.

The interface provides the core() function that you can use to retrieve a pointer to Qt Designer's current QDesignerFormEditorInterface object, and the setFormWindow() function that enables you to change the current form window selection.

See also QDesignerFormEditorInterface and QDesignerFormWindowInterface.

## Member Function Documentation

### QDesignerObjectInspectorInterface::QDesignerObjectInspectorInterface ( QWidget * parent, Qt::WindowFlags flags = 0 )

Constructs an object inspector interface with the given parent and the specified window flags.

### QDesignerObjectInspectorInterface::~QDesignerObjectInspectorInterface () `[virtual]`

Destroys the object inspector interface.

### QDesignerFormEditorInterface * QDesignerObjectInspectorInterface::core () const `[virtual]`

Returns a pointer to Qt Designer's current QDesignerFormEditorInterface object.

### void QDesignerObjectInspectorInterface::setFormWindow ( QDesignerFormWindowInterface * formWindow ) `[pure virtual slot]`

Sets the currently selected form window to formWindow.